interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        3EyYfvt/fIiVQvf/AAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8222']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:40 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjf24i.2.1505364040219.Z0FBQUFBQlp1Z2hJYUt6VnRhQUF5STFjWnNPaVBSR0htRGdSYmZxNG82QnR6ZWxGZld1VlhrQUFqUXJKSFExaDFkXy1jQXp3MXIwZUJ6Ui1zOTNlMUxZRktNVEZMWW5oTmRTUXRkeFhUNjlaQ29zRmQ2em1DQ2RaX2l2RnNjZ1czR2RKNm12OG5xdmQ;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:40
          GMT; secure', 'session_tracker=RBQgPefSMeZafQ40zk.0.1505364040215.Z0FBQUFBQlp1Z2hJWVpDVHllV0lCV0h4d0hQRFNtR3Y2OG5HYnRudlpfdGVkaEJGSWhZY0JsTDZKdVB5QnhyT2JSZzUzMEY0eUprSGRDOE5PSWxzZnFqZG51QnREbjA1RmtuV1dpSnQ0cVotMkpmN1h5WHZrQ2FQVC1QZEsyU1ZXWkx4VEgzNklRV0U;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:40
          GMT; secure', edgebucket=4NH8l5NNv4DQFpPJJI; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1727-ORD]
      X-Timer: ['S1505364040.196676,VS0,VE178']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjf24i.2.1505364040219.Z0FBQUFBQlp1Z2hJYUt6VnRhQUF5STFjWnNPaVBSR0htRGdSYmZxNG82QnR6ZWxGZld1VlhrQUFqUXJKSFExaDFkXy1jQXp3MXIwZUJ6Ui1zOTNlMUxZRktNVEZMWW5oTmRTUXRkeFhUNjlaQ29zRmQ2em1DQ2RaX2l2RnNjZ1czR2RKNm12OG5xdmQ;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:40
          GMT; secure', 'session_tracker=RBQgPefSMeZafQ40zk.0.1505364040215.Z0FBQUFBQlp1Z2hJWVpDVHllV0lCV0h4d0hQRFNtR3Y2OG5HYnRudlpfdGVkaEJGSWhZY0JsTDZKdVB5QnhyT2JSZzUzMEY0eUprSGRDOE5PSWxzZnFqZG51QnREbjA1RmtuV1dpSnQ0cVotMkpmN1h5WHZrQ2FQVC1QZEsyU1ZXWkx4VEgzNklRV0U;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:40
          GMT; secure', edgebucket=4NH8l5NNv4DQFpPJJI; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=jevIEKAHgbMrYFHtadEqiQSRfwn2sZLXNLANN31vgGcEuNEkBve3CC3F6gyMa47Lmwo6%2BNXTX3M%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=4NH8l5NNv4DQFpPJJI; loid=00000000000drjf24i.2.1505364040219.Z0FBQUFBQlp1Z2hJYUt6VnRhQUF5STFjWnNPaVBSR0htRGdSYmZxNG82QnR6ZWxGZld1VlhrQUFqUXJKSFExaDFkXy1jQXp3MXIwZUJ6Ui1zOTNlMUxZRktNVEZMWW5oTmRTUXRkeFhUNjlaQ29zRmQ2em1DQ2RaX2l2RnNjZ1czR2RKNm12OG5xdmQ;
          session_tracker=RBQgPefSMeZafQ40zk.0.1505364040215.Z0FBQUFBQlp1Z2hJWVpDVHllV0lCV0h4d0hQRFNtR3Y2OG5HYnRudlpfdGVkaEJGSWhZY0JsTDZKdVB5QnhyT2JSZzUzMEY0eUprSGRDOE5PSWxzZnFqZG51QnREbjA1RmtuV1dpSnQ0cVotMkpmN1h5WHZrQ2FQVC1QZEsyU1ZXWkx4VEgzNklRV0U]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/top/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 97070 characters]
        XyHcFH/HbPAB/kYhnnf19BumB+lCMPH8zaKsG4/O+I3/AalNN3QEvgUA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['65136']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:41 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1733-ORD]
      X-Timer: ['S1505364041.812279,VS0,VE677']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=RBQgPefSMeZafQ40zk.0.1505364040828.Z0FBQUFBQlp1Z2hKRjhHQkphV2dsSUpMV1FVVzFTQlFSdWM5cHkzNWQyOTlGMC1faE1XOV9yN0xOcXFyUUE2a2ZZRnpqSkk5Q2lSajZMNmtyUFpaS0FIc0lOOUJ4VjF5aWVKTjFPQmk0QkZtempxUmdQNkJlNnBGeDdQZFpLUVlqZnVFb2ZGbEUwLXY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:41
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Ot0eNkkjScvdGc9a79Dzi79N1Obo510FUHN%2FxQ4kuHCFkYzZkeMR4bIfVkff5ST2%2BZuADrmC19M%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
